# CancelRecallContract

PATH: /aurora.core.apiengine.contractsv1.ContractService/CancelRecallContract

Endpoint: POST /aurora.core.apiengine.contractsv1.ContractService/CancelRecallContract
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `contract_id` (string, required)
    Contract identifier (persistent identifier inside Aurora system)

  - `id` (string, required)
    Identifier of the recall to cancel (persistent identifier inside Aurora system)

  - `request_id` (string)
    An optional identifier provided by the user to help associate the order request any internal record keeping.
If the same value is observed recently then the request will be rejected.

## Response 200 fields (application/json):

  - `recall` (object, required)
    Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

  - `recall.allowed_execution_date` (string)
    allowed buy-in execution date

  - `recall.contract_id` (string, required)
    Contract identifier (persistent identifier inside Aurora system)

  - `recall.id` (string, required)
    Recall identifier (persistent identifier inside Aurora system)

  - `recall.initiator_company_id` (string, required)
    Company ID that initiated this recall (always the lender)

  - `recall.quantity` (string, required)
    Number of shares recalled

  - `recall.recall_status` (string, required)
    ContractRecallStatus : the state a Recall is in now
    Enum: "NEW", "OPEN", "PARTIALLY_RETURNED", "FULLY_RETURNED", "PENDING_CANCEL", "CANCELED", "REJECTED", "PENDING_AMEND"


